package fr.itsonus.bousoleplussbackend.domain.quiz.spi;

import fr.itsonus.bousoleplussbackend.domain.auth.model.User;
import fr.itsonus.bousoleplussbackend.domain.quiz.model.Quiz;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.Optional;

public interface QuizCacheRepository {

    Optional<Quiz> findById(Long id);

    Optional<Quiz> findByIdAndUserId(Long id, Long userId);

    Page<Quiz> findAllByBundleId(Long bundleId, Pageable pageable);

    Quiz createNew(Long bundleId, User user);
}
